<?php

ob_start();
require_once('login.php');
session_start();
$log = new Login();



$isLoggedIn = isset($_SESSION['user']);

$email = "";

if($isLoggedIn){
      $email = $_SESSION["user"];
}




$id = " ";
if(isset($_GET['id'])) {
$id =  $_GET['id'];

$log->getShopsByID($id);
}



?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo $log->name ." ".$log->shop_number ?> Details</title>
    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet">
    <style>
        body {
            background-color: #eaf6ff;
            font-family: Arial, sans-serif;
        }
        header {
            background: linear-gradient(90deg, #007bff, #0056b3);
            color: white;
            padding: 40px 0;
            text-align: center;
        }
        header h1 {
            font-size: 2.5rem;
            margin-bottom: 10px;
        }
        header p {
            font-size: 1.2rem;
        }
        .gallery img {
            transition: transform 0.3s ease, box-shadow 0.3s ease;
        }
        .gallery img:hover {
            transform: scale(1.05);
            box-shadow: 0 8px 20px rgba(0, 0, 0, 0.2);
        }
        .details-card {
            background: #ffffff;
            box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
            border-radius: 10px;
            overflow: hidden;
            padding: 20px;
        }
        .btn-primary {
            background-color: #007bff;
            border: none;
        }
        .btn-primary:hover {
            background-color: #0056b3;
        }
    </style>
</head>
<body>
    <!-- Header -->
    <header>
        <h1><?php echo $log->shop_number ?></h1>
        <p>Discover the details and images of this amazing shop</p>
    </header>

    <!-- Shop Details -->
    <div class="container py-5">
        <div class="row">
            <!-- Shop Info -->
            <div class="col-md-6">
                <div class="details-card">
                    <h3><?php echo $log->shop_number; ?></h3>
                    <p><strong>Location:</strong> <?php echo $log->name ?></p>
                    <p><strong>Price:</strong> <?php echo $log->price ?></p>
                    <p><?php echo $log->features ?></p>
                    <a href="index.php" class="btn btn-primary mt-3">Back to Shops</a>
                    <?php   

if ($isLoggedIn) {
                    
                    ?>
                   
            <p>
                   <form method = "post">
                    <input type = "hidden" name = "id" value = "<?php echo $id  ?>">

                    <button type="submit" name = "submit" class="btn btn-success">Apply Now</button>

</form>
</p>
                    <?php  }   else  {  ?>

                        <a href="index.php" class="btn btn-success mt-3">Register or Login to apply</a>


                        
                        <?php  } ?>

                </div>
            </div>





            <!-- Image Gallery -->
            <div class="col-md-6">
                <div class="row gallery">
                    <?php
                    
                    $statement =  $log->getShopImages($id);
                        $active = 'active';
                        while ($row = $statement->fetch(PDO::FETCH_ASSOC)){
                            extract($row);
                        
                        ?>
                        <div class="col-6 mb-4">
                        
                            <img src="<?php echo 'backend/'.$row['images']; ?>" class="img-fluid rounded" alt="Shop Image">
                        </div>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>

    <!-- Bootstrap Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
<?php

if (isset($_POST['submit'])){

    $log->getCustomerByEmail($email);


    $date_applied = date('Y-m-d');
    $id  = (strip_tags($_POST['id']));
    $log->addAllocation($log->customer_id,$id,$date_applied);

    ?>

    <script>

        alert('application successful, you will be contacted through email');
        window.location.href='index.php';

        </script>

    <?php


  }

?>