<?php

ob_start();
require_once('login.php');
session_start();
$log = new Login();


$id = 6;

$log->getShopsByID($id);




echo   $log->shop_number."  ".$log->name;


?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo $shop['name']; ?> Details</title>
    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet">
    <style>
        body {
            background-color: #eaf6ff;
            font-family: Arial, sans-serif;
        }
        header {
            background: linear-gradient(90deg, #007bff, #0056b3);
            color: white;
            padding: 40px 0;
            text-align: center;
        }
        header h1 {
            font-size: 2.5rem;
            margin-bottom: 10px;
        }
        header p {
            font-size: 1.2rem;
        }
        .gallery img {
            transition: transform 0.3s ease, box-shadow 0.3s ease;
        }
        .gallery img:hover {
            transform: scale(1.05);
            box-shadow: 0 8px 20px rgba(0, 0, 0, 0.2);
        }
        .details-card {
            background: #ffffff;
            box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
            border-radius: 10px;
            overflow: hidden;
            padding: 20px;
        }
        .btn-primary {
            background-color: #007bff;
            border: none;
        }
        .btn-primary:hover {
            background-color: #0056b3;
        }
    </style>
</head>
<body>
    <!-- Header -->
    <header>
        <h1><?php echo $log->shop_number ?></h1>
        <p>Discover the details and images of this amazing shop</p>
    </header>

    <!-- Shop Details -->
    <div class="container py-5">
        <div class="row">
            <!-- Shop Info -->
            <div class="col-md-6">
                <div class="details-card">
                    <h3><?php echo $log->shop_number; ?></h3>
                    <p><strong>Location:</strong> <?php echo $log->name ?></p>
                    <p><strong>Price:</strong> <?php echo $log->price ?></p>
                    <p><?php echo $log->features ?></p>
                    <a href="index.php" class="btn btn-primary mt-3">Back to Shops</a>
                </div>
            </div>

            <!-- Image Gallery -->
            <div class="col-md-6">
                <div class="row gallery">
                    <?php
                    
                    $statement =  $log->getShopImages($id);
                        $active = 'active';
                        while ($row = $statement->fetch(PDO::FETCH_ASSOC)){
                            extract($row);
                        
                        ?>
                        <div class="col-6 mb-4">
                        
                            <img src="<?php echo 'backend/'.{$row['images']}; ?>" class="img-fluid rounded" alt="Shop Image">
                        </div>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>

    <!-- Bootstrap Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>

<?php

protected function validator(array $data)
{
    // Determine values based on the profession input
    $profession = $data['profession'];

    if ($profession === 'Teacher') {
        $max_years = Carbon::now()->subYears(60); // Example: Max age for teachers is 60
        $least_years = Carbon::now()->subYears(21); // Teachers start at least at 21
        $max_serve = Carbon::now()->subYears(35); // Max service years for teachers is 35
    } elseif ($profession === 'Engineer') {
        $max_years = Carbon::now()->subYears(65); // Engineers retire at 65
        $least_years = Carbon::now()->subYears(18); // Engineers start at 18
        $max_serve = Carbon::now()->subYears(30); // Max service years for engineers is 30
    } else {
        $max_years = Carbon::now()->subYears(65); // Default max age
        $least_years = Carbon::now()->subYears(18); // Default minimum age
        $max_serve = Carbon::now()->subYears(30); // Default service years
    }

    // Validation rules
    return Validator::make($data, [
        'profession' => ['required', 'string', 'max:255'], // Validate profession
        'dob' => ['required', 'date', 'after:' . $max_years, 'before:' . $least_years],
        'first_appoint' => ['required', 'date', 'after:' . $max_serve],
        'email' => ['required', 'string', 'email', 'max:255', 'unique:users'],
        'password' => ['required', 'string', 'min:8', 'confirmed'],
    ]);
}



?>